;;;; -*-  Mode: LISP; Syntax: Common-Lisp; Base: 10                          -*-
;;;; ---------------------------------------------------------------------------
;;;; File name: export.lsp
;;;;    System: LTRE
;;;;   Version: 4.1 
;;;;    Author: Ken Forbus and Johan de Kleer
;;;;   Created: May 1, 1986
;;;;  Modified: everett on Mon Jun 17 10:17:14 1996
;;;;   Purpose: Export LTRE symbols
;;;; Copyright: 1986, 1989, 1990, 1991, 1995 Kenneth D. Forbus, 
;;;;            Northwestern University, and Johan de Kleer, Xerox Corporation.
;;;;            All Rights Reserved.
;;;; ---------------------------------------------------------------------------

(in-package :LTRE)

(eval-when (eval compile load)
   (export '(*ltre*
               alphalessp		
               antecedents-of
               assert!
               assume!
               assumption?
               assumptions-of		
               assumptions-of-clause
               assumption-source
               change-ltre
               change-ltms
               clause-antecedents		
               clause-consequent
               clause-index
               clause-informant
               clause-length
               clause-literals
               clause-pvs
               clause-sats
               close-set
               close-set-if-needed
               compact-informant
               compile-rule-files		
               consequences		
               consequences-of		
               contradiction		
               create-ltre
               create-ltms
               cwa-form?
               cwa-invalid?
               datum-lisp-form
               datum-tms-node
               datum-counter
               datum-ltre
               datum-dbclass
               datum-assumption?
               datum-plist
               datum-p
               dbclass-facts
               dbclass-p
               dd-search
               derived?		
               explain-node
               explore
               explore-network
               false?
               fetch		
               fetch-global
               fetch-trues
               fetch-falses
               fetch-unknowns
               get-candidates
               get-tms-node		
               in-ltre
               informant-of		
               known?		
               label-of
               list-assumptions
               load-ltre
               ltms-violated-clauses ;;for Cyclepad contradiction handler
               ltre-datum-counter
               ltre-title
               ltre-dbclass-table
               ltre-rules
               ltre-rule-counter
               ltre-debugging
               ltre-rules-run
               ltre-ltms
               make-ltre
               make-ltre-cache
               make-node-string
               map-over-facts		
               node-show-clauses
               pattern-free-variables
               premise?		
               quotize
               rassert!
               referent
               rreferent!
               retract!
               retract-cwa
               retract-cwas
               rlet
               rule
               rule-file
               run-rules
               show-ltre
               show-data
               show-by-informant
               show-node-consequences
               tms-answer
               tms-node-support
               trigger-node ;;LAMBDA VAR IN RULE EXPANSION
               true-node?		
               true?
               uassume!
               unify
               unknown?		
               view-node
               violated-clause?		
               why?
               why-node
               why-nodes
               with-assumptions
               with-closed-set
               with-contradiction-handler		
               with-ltre
               without-contradiction-check		
               )))


;;; MAKING THESE FUNCTIONS AVAILABLE TO CL-USER
;;; ----------------------------------------------------------------------------

(use-package (find-package :LTRE) (find-package :CL-USER))


